Loading...
Searching...
No Matches
parallel_block_compressor.hpp File Reference
Private

provide per block and parallel compression/decompression More...

`#include "../my_config.h"`
`#include "infinint.hpp"`
`#include "crypto_segment.hpp"`
`#include "heap.hpp"`
`#include "compress_module.hpp"`
`#include "proto_compressor.hpp"`
`#include <libthreadar/libthreadar.hpp>`

Go to the source code of this file.

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Enumerations

enum class | libdar::compressor_block_flags { data = 0 , eof_die = 1 , error = 2 , worker_error = 3 }
| the different flags used to communicate between threads hold by parallel_block_compressor class More...

## Detailed Description

provide per block and parallel compression/decompression

Definition in file parallel_block_compressor.hpp.